<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="../project/head2/project_head2.inc.xslt"/>
	<xsl:include href="menu/project_admin_submenu.inc.xslt"/>
	<xsl:include href="menu/project_admin_custom_feed_submenu.inc.xslt"/>
	<xsl:include href="../community_admin/include/admin_custom_feed_source_add.inc.xslt"/>
	<xsl:include href="menu/project_admin_communities_submenu.inc.xslt"/>
	<xsl:variable name="top_section" select="'projects'"/>
	<xsl:variable name="top_section_main_page" select="false()"/>
	<xsl:variable name="project_section" select="'admin'"/>
	<xsl:variable name="project_section_main_page" select="false()"/>
	<xsl:variable name="admin_section" select="'feeds'"/>
	<xsl:variable name="admin_section_main_page" select="false()"/>
	<xsl:variable name="module_url" select="concat($current_project/@url, 'admin/communities/feeds/', $current_feed/@id, '/sources/add/')"/>
	<xsl:template match="project_admin_custom_feed_source_add">
		<div class="color-{$current_project/@color_scheme}">
			<xsl:call-template name="draw_project_head2"/>
			<xsl:call-template name="draw_project_admin_submenu"/>
			<div class="columns-wrap">
				<xsl:call-template name="draw_project_bg"/>
				<table cellspacing="0" class="columns">
					<tr>
						<td class="left-column">
							<xsl:call-template name="draw_project_admin_taxonomy">
								<xsl:with-param name="base_url" select="concat($current_project/@url, 'admin/')"/>
							</xsl:call-template>
						</td>
						<td class="center-column">
							<h2 class="admin">Сообщества</h2>
							<xsl:call-template name="draw_project_admin_communities_submenu"/>
							<div class="content">
								<h3 class="pre">
									<a href="{$feeds_url}">Ленты</a>
								</h3>
								<h4>
									<xsl:value-of select="$current_feed/@title"/>
								</h4>
								<xsl:call-template name="draw_project_admin_custom_feed_submenu"/>
								<xsl:call-template name="draw_admin_custom_feed_source_add">
									<xsl:with-param name="save_ctrl" select="'project_admin_custom_feed_sources'"/>
									<xsl:with-param name="aux_params">
										<input type="hidden" name="project_id" value="{$current_project/@id}"/>
									</xsl:with-param>
								</xsl:call-template>
							</div>
						</td>
					</tr>
				</table>
			</div>
		</div>
	</xsl:template>
	<xsl:template mode="head" match="/root">
		<script type="text/javascript" src="{$prefix}/js/tree.jquery.js"/>
		<script type="text/javascript" src="{$prefix}/js/project_admin_taxonomy.js"/>
	</xsl:template>
	<xsl:template mode="title" match="/root">
		<xsl:text>Добавление источника в ленту &#8212; </xsl:text>
		<xsl:value-of select="$current_feed/@title"/>
		<xsl:text> &#8212; </xsl:text>
		<xsl:value-of select="$current_project/@title"/>
	</xsl:template>
</xsl:stylesheet>
